Clonar repositório
curl --request POST \
--url https://api.devin.ai/v2/enterprise/organizations/{org_id}/clone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repo_path": "<string>",
"pull_repo_commands": [
"<string>"
],
"repo_note": "<string>",
"run_lint_commands": [
"<string>"
],
"run_project_commands": [
"<string>"
],
"run_tests_commands": [
"<string>"
],
"update_dependencies_commands": [
"<string>"
]
}
'import requests
url = "https://api.devin.ai/v2/enterprise/organizations/{org_id}/clone"
payload = {
"repo_path": "<string>",
"pull_repo_commands": ["<string>"],
"repo_note": "<string>",
"run_lint_commands": ["<string>"],
"run_project_commands": ["<string>"],
"run_tests_commands": ["<string>"],
"update_dependencies_commands": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
repo_path: '<string>',
pull_repo_commands: ['<string>'],
repo_note: '<string>',
run_lint_commands: ['<string>'],
run_project_commands: ['<string>'],
run_tests_commands: ['<string>'],
update_dependencies_commands: ['<string>']
})
};
fetch('https://api.devin.ai/v2/enterprise/organizations/{org_id}/clone', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"org_id": "<string>",
"snapshot_id": "<string>",
"status": "<string>",
"ami_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Gerenciamento de repositórios
Clonar um repositório em uma organização
Clona um repositório em um snapshot da organização
POST
/
v2
/
enterprise
/
organizations
/
{org_id}
/
clone
Clonar repositório
Requer a chave de API pessoal de um administrador Enterprise.
Clona um repositório Git em uma organização e o atualiza para uma nova versão de snapshot.
Autorizações
Chave de API pessoal (apk_user_*) somente para administradores do Enterprise
Parâmetros de caminho
Corpo
application/json
Caminho do repositório no formato "owner/repo_name" (por exemplo, "acme/my-project").
Exemplo:
"owner/repo_name"
Comandos para realizar o pull do repositório. Recomenda-se deixar em branco, pois será gerado automaticamente.
Resposta
Resposta bem-sucedida
Resposta à criação de um snapshot.
Carimbo de data e hora em que o snapshot foi criado
ID da organização à qual o snapshot pertence
ID do snapshot criado
Status do snapshot (por exemplo: 'pending', 'available')
ID da AMI do snapshot (pode ser nulo se ainda estiver em criação)
⌘I

